---
ansible:
  verbose: vv
  playbook: tests/playbook.yml
  diff: True
  config_file: ../ansible.cfg

molecule:
  ignore_paths:
  - .tox

dependency:
  name: galaxy
  requirements_file: tests/requirements.yml

vagrant:
  providers:
  - name: virtualbox
    type: virtualbox
    options:
        cpus: 1
  platforms:
  - name: openbsd60
    box: fnichol/openbsd-6.0-i386
  - name: xenial
    box: ubuntu/xenial32
  - name: trusty
    box: ubuntu/trusty32
  - name: precise
    box: hashicorp/precise32
  - name: stretch
    box: remram/debian-9-i386
  - name: jessie
    box: deb/jessie-i386
  - name: wheezy
    box: bmorg/debian-wheezy-i386
  instances:
  - name: example
    options:
        append_platform_to_hostname: yes
  raw_config_args:
  - 'vm.boot_timeout = 600'
  - 'vm.synced_folder ".", "/vagrant", disabled: true'
  - 'vbguest.auto_update = false if Vagrant.has_plugin?("vbguest")'
  - 'landrush.enabled = false if Vagrant.has_plugin?("landrush")'
  - 'landrush_ip.override = false if Vagrant.has_plugin?("landrush")'
  - |
      vm.provider "virtualbox" do |v|
        v.customize "pre-boot", ["modifyvm", :id, "--hwvirtex", "off"]
        v.memory = ENV['VBOX_MEMORY'].to_i if ENV.has_key?('VBOX_MEMORY')
      end
